diff --git a/benchmarks/imaging_ecal/run_emcal_barrel.sh b/benchmarks/imaging_ecal/run_emcal_barrel.sh
index b5126af002f2392e713e7051d6a3d8f29975835e..c89bc7f4c7e880ba1a271de2fbca8a658855adf2 100644
--- a/benchmarks/imaging_ecal/run_emcal_barrel.sh
+++ b/benchmarks/imaging_ecal/run_emcal_barrel.sh
@@ -127,18 +127,21 @@ for iev in "${ADDR[@]}"; do
         continue
     fi
 
-    python ${CB_EMCAL_SCRIPT_DIR}/draw_cluster_layers.py \
-        ${CB_EMCAL_REC_FILE} -e ${iev} --topo-size=1.0 --compact=${CB_EMCAL_COMPACT_PATH} -o results/${particle}
-    if [[ "$?" -ne "0" ]] ; then
-      echo "ERROR running analysis script: draw_cluster_layers"
-      exit 1
-    fi
-
-    python ${CB_EMCAL_SCRIPT_DIR}/draw_cluster.py \
-        ${CB_EMCAL_REC_FILE} -e ${iev} --topo-size=2.0 --compact=${CB_EMCAL_COMPACT_PATH} -o results/${particle}
-    if [[ "$?" -ne "0" ]] ; then
-      echo "ERROR running analysis script: draw_cluster"
-      exit 1
+    if [[ ${JUGGLER_DETECTOR} =~ athena
+       || ${JUGGLER_DETECTOR} =~ ecce && ${JUGGLER_DETECTOR_CONFIG} =~ imaging ]] ; then
+      python ${CB_EMCAL_SCRIPT_DIR}/draw_cluster_layers.py \
+          ${CB_EMCAL_REC_FILE} -e ${iev} --topo-size=1.0 --compact=${CB_EMCAL_COMPACT_PATH} -o results/${particle}
+      if [[ "$?" -ne "0" ]] ; then
+        echo "ERROR running analysis script: draw_cluster_layers"
+        exit 1
+      fi
+
+      python ${CB_EMCAL_SCRIPT_DIR}/draw_cluster.py \
+          ${CB_EMCAL_REC_FILE} -e ${iev} --topo-size=2.0 --compact=${CB_EMCAL_COMPACT_PATH} -o results/${particle}
+      if [[ "$?" -ne "0" ]] ; then
+        echo "ERROR running analysis script: draw_cluster"
+        exit 1
+      fi
     fi
 done
 
diff --git a/benchmarks/imaging_ecal/run_emcal_barrel_pion_rej.sh b/benchmarks/imaging_ecal/run_emcal_barrel_pion_rej.sh
index d2c22c3f9c25de4378c00f35e2f2244c2431f2e0..a4a9c7dc646a5f0ee0d12f21d880b2b90e7777a8 100755
--- a/benchmarks/imaging_ecal/run_emcal_barrel_pion_rej.sh
+++ b/benchmarks/imaging_ecal/run_emcal_barrel_pion_rej.sh
@@ -128,18 +128,21 @@ for iev in "${ADDR[@]}"; do
         continue
     fi
 
-    python ${CB_EMCAL_SCRIPT_DIR}/draw_cluster_layers.py \
-        ${CB_EMCAL_REC_FILE} -e ${iev} --topo-size=1.0 --compact=${CB_EMCAL_COMPACT_PATH} -o results/${particle}
-    if [[ "$?" -ne "0" ]] ; then
-      echo "ERROR running analysis script: draw_cluster_layers"
-      exit 1
-    fi
-
-    python ${CB_EMCAL_SCRIPT_DIR}/draw_cluster.py \
-        ${CB_EMCAL_REC_FILE} -e ${iev} --topo-size=2.0 --compact=${CB_EMCAL_COMPACT_PATH} -o results/${particle}
-    if [[ "$?" -ne "0" ]] ; then
-      echo "ERROR running analysis script: draw_cluster"
-      exit 1
+    if [[ ${JUGGLER_DETECTOR} =~ athena
+       || ${JUGGLER_DETECTOR} =~ ecce && ${JUGGLER_DETECTOR_CONFIG} =~ imaging ]] ; then
+      python ${CB_EMCAL_SCRIPT_DIR}/draw_cluster_layers.py \
+          ${CB_EMCAL_REC_FILE} -e ${iev} --topo-size=1.0 --compact=${CB_EMCAL_COMPACT_PATH} -o results/${particle}
+      if [[ "$?" -ne "0" ]] ; then
+        echo "ERROR running analysis script: draw_cluster_layers"
+        exit 1
+      fi
+
+      python ${CB_EMCAL_SCRIPT_DIR}/draw_cluster.py \
+          ${CB_EMCAL_REC_FILE} -e ${iev} --topo-size=2.0 --compact=${CB_EMCAL_COMPACT_PATH} -o results/${particle}
+      if [[ "$?" -ne "0" ]] ; then
+        echo "ERROR running analysis script: draw_cluster"
+        exit 1
+      fi
     fi
 done